# pqxx::isolation_traits< LEVEL > Struct Template Reference

Traits class to describe an isolation level; primarly for libpqxx's own use. More...

`#include <isolation.hxx>`

List of all members.

## Public Member Functions

template<>
const char * | name () throw()
template<>
const char * | name () throw()

## Static Public Member Functions

static isolation_level | level () throw ()
static const char * | name () throw ()

## Detailed Description

### template<isolation_level LEVEL>
struct pqxx::isolation_traits< LEVEL >

Traits class to describe an isolation level; primarly for libpqxx's own use.

## Member Function Documentation

template<isolation_level LEVEL>

static isolation_level pqxx::isolation_traits< LEVEL >::level | ( |  | ) | throw ()`[static]`

template<isolation_level LEVEL>

static const char* pqxx::isolation_traits< LEVEL >::name | ( |  | ) | throw ()`[static]`

template<>

const char * pqxx::isolation_traits< read_committed >::name | ( |  | ) | throw()

template<>

const char * pqxx::isolation_traits< serializable >::name | ( |  | ) | throw()

The documentation for this struct was generated from the following file:

- isolation.hxx